ru.bitel.bgbilling.modules.mobimoney.common.service

## Interface MobiService

-     public interface MobiService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `checkContract(java.lang.String contract)` Метод проверяет наличие указанного договора в БД.
    `boolean` | `checkPayment(int contractId, java.lang.String mobiPaymentId)` Метод проверяет наличие у указанного договора платежа в указанный момент времени.
    `void` | `checkStatus(Transaction transaction)` Метод, принудительно проверяющий статус указанной транзакции.
    `void` | `deleteServiceCode(java.util.List<java.lang.Integer> ids)` Удаление кодов операторов
    `java.util.List<MobiServiceCode>` | `getServiceCodeList()` Список сервисных кодов операторов
    `Transaction` | `getTransaction(java.lang.String mobiPaymentId)` Получение одной единственной транзакции.
    `SearchResult<Transaction>` | `searchTransactions(int contractId, java.lang.String contractTitle, java.lang.String status, Period period, java.lang.String[] sort, Page page)` Универсальный метод получения списка транзакций.
    `int` | `updateServiceCode(MobiServiceCode mobiServiceCode)` Добавление/изменение кода оператора
    `void` | `updateTransaction(Transaction transaction)` Метод, добавляющий/обновляющий транзакцию.

- - ### Method Detail

    - #### searchTransactions

          SearchResult<Transaction> searchTransactions(int contractId,
                                                       java.lang.String contractTitle,
                                                       java.lang.String status,
                                                       Period period,
                                                       java.lang.String[] sort,
                                                       Page page)
                                                throws ru.bitel.bgbilling.common.BGException

      Универсальный метод получения списка транзакций. Используется как в клиентской части, так и в web.
      Parameters:
        `contractId` - код договора
        `contractTitle` - название договора. если нет необходимости использовать, то подставлять null
        `status` - статус транзакции
        `period` - период за которые показывать транзакции
        `sort` -
        `page` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTransaction

          Transaction getTransaction(java.lang.String mobiPaymentId)
                              throws ru.bitel.bgbilling.common.BGException

      Получение одной единственной транзакции. Используется на серверной стороне, когда приходят запросы на обновление статуса и/или даты платежа.
      Parameters:
        `transactionId` - код транзакции на стороне сервера
      Returns:
        транзакция
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateTransaction

          void updateTransaction(Transaction transaction)
                          throws ru.bitel.bgbilling.common.BGException

      Метод, добавляющий/обновляющий транзакцию. В случае, если у транзакции отсутствует идентификатор, то происходит добавление новой транзакции в БД, иначе в БД происходит обновление полей транзакции.
      Parameters:
        `transaction` - добавляемая/обновляемая транзакция
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkStatus

          void checkStatus(Transaction transaction)
                    throws ru.bitel.bgbilling.common.BGException

      Метод, принудительно проверяющий статус указанной транзакции. Происходит обращение к сервису и в случае, если статус изменился, то меняется статус в БД.
      Parameters:
        `transaction` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkContract

          int checkContract(java.lang.String contract)
                     throws ru.bitel.bgbilling.common.BGException

      Метод проверяет наличие указанного договора в БД. Используется в методе PaymentContract веб-сервиса `MobiMoneyWSImpl`.
      Parameters:
        `contract` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkPayment

          boolean checkPayment(int contractId,
                               java.lang.String mobiPaymentId)
                        throws ru.bitel.bgbilling.common.BGException

      Метод проверяет наличие у указанного договора платежа в указанный момент времени. Используется в методе PaymentContract веб-сервиса `MobiMoneyWSImpl`
      Parameters:
        `contractId` - код договора
        `mobiPaymentId` - код транзакции
      Returns:
        если транзакция уже есть в БД, то возвращается она, иначе пустая транзакция
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getServiceCodeList

          java.util.List<MobiServiceCode> getServiceCodeList()
                                                      throws ru.bitel.bgbilling.common.BGException

      Список сервисных кодов операторов
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateServiceCode

          int updateServiceCode(MobiServiceCode mobiServiceCode)
                         throws ru.bitel.bgbilling.common.BGException

      Добавление/изменение кода оператора
      Parameters:
        `mobiServiceCode` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteServiceCode

          void deleteServiceCode(java.util.List<java.lang.Integer> ids)
                          throws ru.bitel.bgbilling.common.BGException

      Удаление кодов операторов
      Parameters:
        `ids` - код(ы) удаляемых записей
      Throws:
        `ru.bitel.bgbilling.common.BGException`